unit Unit2;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.TMSFNCTypes, FMX.TMSFNCUtils, FMX.TMSFNCGraphics, FMX.TMSFNCGraphicsTypes,
  FMX.TMSFNCGridCell, FMX.TMSFNCGridOptions, FMX.TMSFNCCustomControl,
  FMX.TMSFNCCustomScrollControl, FMX.TMSFNCGridData, FMX.TMSFNCCustomGrid,
  FMX.TMSFNCGrid,
  FMX.TMSFNCComboBox;

type
  TForm2 = class(TForm)
    MyTMSGrid: TTMSFNCGrid;
    procedure MyTMSGridCellEditGetData(Sender: TObject; ACol, ARow: Integer;
      CellEditor: TTMSFNCGridEditor; var CellString: string);
    procedure MyTMSGridGetCellEditorCustomClassType(Sender: TObject; ACol,
      ARow: Integer; var CellEditorCustomClassType: TTMSFNCGridEditorClass);
    procedure MyTMSGridGetCellEditorType(Sender: TObject; ACol, ARow: Integer;
      var CellEditorType: TTMSFNCGridEditorType);
    procedure MyTMSGridGetCellEditorProperties(Sender: TObject; ACol,
      ARow: Integer; CellEditor: TTMSFNCGridEditor);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.fmx}

procedure TForm2.MyTMSGridGetCellEditorType(Sender: TObject; ACol,
  ARow: Integer; var CellEditorType: TTMSFNCGridEditorType);
begin
    case ACol of
    1: CellEditorType := etCustom;
  end;
end;

procedure TForm2.MyTMSGridGetCellEditorCustomClassType(Sender: TObject; ACol,
  ARow: Integer; var CellEditorCustomClassType: TTMSFNCGridEditorClass);
begin
   if ACol = 1 then
    CellEditorCustomClassType := TTMSFNCComboBox;
    // TTMSFNCCustomComboBox makes no difference apparently
end;

procedure TForm2.MyTMSGridCellEditGetData(Sender: TObject; ACol, ARow: Integer;
  CellEditor: TTMSFNCGridEditor; var CellString: string);
begin
   if ACol = 1 then
   begin
     (CellEditor as TTMSFNCComboBox).AddItem('AAAAA');  //Here ?
   end;
end;

procedure TForm2.MyTMSGridGetCellEditorProperties(Sender: TObject; ACol,
  ARow: Integer; CellEditor: TTMSFNCGridEditor);
begin
   if ACol = 1 then
   begin
     (CellEditor as TTMSFNCComboBox).AddItem('AAAAA');  //Or here  or somewhere else?
   end;
end;

end.



